Skip to content
GoogleChecking

gemini-omni-flash/text-to-video

gemini-omni-flash-text-to-video-economy

text to videoOutput: VideoInput: text
Loading price…
Official list price · Not verified

Minimal request

Required fields only, generated from this model's schema. Set HERMES_API_KEY in your environment.

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "gemini-omni-flash-text-to-video-economy",
  "input": {
    "prompt": "a beautiful sunset over the ocean with seagulls flying",
    "duration": "6",
    "resolution": "720p"
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"

With documented defaults

The same request with each optional default written out, so you can see what to change.

# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
  -H "Authorization: Bearer $HERMES_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "gemini-omni-flash-text-to-video-economy",
  "input": {
    "prompt": "a beautiful sunset over the ocean with seagulls flying",
    "duration": "6",
    "resolution": "720p",
    "aspectRatio": "16:9"
  }
}'

# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
  -H "Authorization: Bearer $HERMES_API_KEY"